# modulus Struct Template Reference
[Arithmetic Classes]

Inheritance diagram for modulus:

List of all members.

### template<class _Tp>
struct std::modulus< _Tp >

## Public Types

- typedef _Tp first_argument_type
- typedef _Tp result_type
- typedef _Tp second_argument_type

## Public Member Functions

- _Tp operator() (const _Tp &__x, const _Tp &__y) const

## Member Typedef Documentation

typedef _Tp first_argument_type `[inherited]`

| the type of the first argument Definition at line 116 of file stl_function.h.

typedef _Tp result_type `[inherited]`

| type of the return type Definition at line 120 of file stl_function.h.

typedef _Tp second_argument_type `[inherited]`

| (no surprises here) the type of the second argument Definition at line 119 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h